EndpointsCogents
Release cogent lease
DELETE
/v2/cogents/{cogent_id}/lease/{name}Releases the lease when holder holds it; otherwise changes nothing and says who holds it.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
cogent_id*Cogent Id
Cogent ID (its player ID).
Match
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$name*Name
Lease name, such as practice.
Match
^[a-z][a-z0-9-]{0,63}$Query Parameters
holder*Holder
Who is releasing it.
Match
^[^\x00]*$Length
1 <= length <= 200curl -X DELETE "https://softmax.com/api/observatory/v2/cogents/string/lease/string?holder=string"{ "name": "string", "claimed": true, "holder": "string", "until": "2019-08-24T14:15:22Z"}